al_get_joystick_active(3)

NAME

al_get_joystick_active - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_get_joystick_active(ALLEGRO_JOYSTICK *joy)

DESCRIPTION

Return if the joystick handle is "active", i.e. in the current configuration, the handle represents some physical device plugged into the system. al_get_joystick(3) returns active handles. After reconfiguration, active handles may become inactive, and vice versa.

SEE ALSO

al_reconfigure_joysticks(3)